Bug 1656179 (CVE-2018-19491) - CVE-2018-19491 gnuplot: buffer overflow with an arbitrary amount of data in the PS_options
Summary: CVE-2018-19491 gnuplot: buffer overflow with an arbitrary amount of data in ...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-19491
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1656180 1656181
Blocks: 1656186
TreeView+ depends on / blocked
 
Reported: 2018-12-04 21:55 UTC by Laura Pardo
Modified: 2020-02-11 00:18 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-06 11:21:44 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-12-04 21:55:01 UTC
An issue was discovered in post.trm in Gnuplot 5.2.5. This issue allows an attacker to conduct a buffer overflow with an arbitrary amount of data in the PS_options function. This flaw is caused by a missing size check of an argument passed to the "set font" function. This issue occurs when the Gnuplot postscript terminal is used as a backend. 


References:
https://sourceforge.net/p/gnuplot/bugs/2094/ 
https://sourceforge.net/p/gnuplot/gnuplot-main/ci/d5020716834582b20a5e12cdd49f39ee4f9dd949/

Comment 1 Laura Pardo 2018-12-04 21:55:36 UTC
Created gnuplot tracking bugs for this issue:

Affects: fedora-all [bug 1656181]


Created gnuplot44 tracking bugs for this issue:

Affects: epel-6 [bug 1656180]

Comment 2 Stefan Cornelius 2018-12-06 11:21:55 UTC
Statement:

Gnuplot allows for trivial execution of arbitrary commands from within gnuplot files by design. As such, gnuplot files should be considered as inherently dangerous and users should only execute files from trusted sources.


Note You need to log in before you can comment on or make changes to this bug.